#!/usr/bin/python3
import sys
if len(sys.argv) != 3:
	print('raspbiansymbolshack: wrong number of command line parameters')
	sys.exit(1)

armellines=set()
f = open(sys.argv[1],'r')
for line in f:
	line = line.rstrip('\n')
	armellines.add(line)
f.close()

resultlines = []
f = open(sys.argv[2],'r')
for line in f:
	line = line.rstrip('\n')
	if (line in armellines) or (line[0:1] != ' '):
		resultlines.append(line)
	else:
		resultlines.append(" (optional=notarmelandprobabllynotraspbian)"+line[1:])
f.close()

f = open(sys.argv[2],'w')
for line in resultlines:
	f.write(line+'\n')
f.close()


